function popGrowth (rate, initialPop, generations, carryCap)
% popGrowth (rate, generations, initialPop, carryCap)
% given an input rate of population growth, initial population size,
% number of generations, and carrying capacity, this function simulates
% the population growth, assuming a logistic growth model

% create a vector to store the populations across generations
populations = zeros(1,generations);
populations(1) = initialPop;    % store the initial population
for gen = 2:generations         % loop through the generations
    currentPop = populations(gen-1);    % current population size
    % calculate the new population size after one more generation
    populations(gen) = rate*currentPop*(carryCap-currentPop)/carryCap;
end
% plot the population growth curve for this growth rate
plot(populations)

xlabel('generation', 'fontsize', 16)
ylabel('population', 'fontsize', 16)
title('population growth', 'fontsize', 16)
        